\documentclass[10pt]{article}
\usepackage[usenames]{color} %used for font color
\usepackage{amssymb} %maths
\usepackage{amsmath} %maths
\usepackage[utf8]{inputenc} %useful to type directly diacritic characters
\begin{document}
\begin{align*} 
A &= \text{peak amplitude}
\\
\omega &= \text{radian frequency (rad/sec)}
\\
&= 2 \pi f \text{ (} f \text{ in Hz)}
\\
t &= \text{time (sec)}
\\
f &= \text{frequency (Hz)}
\\
\phi &= \text{initial phase (radians)}
\\
\omega t + \phi &= \text{instantaneous phase (radians)}
\end{align*}

\end{document}